Description: Fix build with commons vfs 2.0
Author: Damien Raude-Morvan <drazzib@debian.org>
Last-Update: 2011-09-11
Forwarded: no
--- a/META-INF/MANIFEST.MF
+++ b/META-INF/MANIFEST.MF
@@ -20,13 +20,13 @@
  org.apache.commons.httpclient.params;resolution:=optional,
  org.apache.commons.httpclient.protocol;resolution:=optional,
  org.apache.commons.net.ftp;resolution:=optional,
- org.apache.commons.vfs;resolution:=optional,
- org.apache.commons.vfs.impl;resolution:=optional,
- org.apache.commons.vfs.provider;resolution:=optional,
- org.apache.commons.vfs.provider.ftp;resolution:=optional,
- org.apache.commons.vfs.provider.local;resolution:=optional,
- org.apache.commons.vfs.provider.sftp;resolution:=optional,
- org.apache.commons.vfs.provider.url;resolution:=optional,
+ org.apache.commons.vfs2;resolution:=optional,
+ org.apache.commons.vfs2.impl;resolution:=optional,
+ org.apache.commons.vfs2.provider;resolution:=optional,
+ org.apache.commons.vfs2.provider.ftp;resolution:=optional,
+ org.apache.commons.vfs2.provider.local;resolution:=optional,
+ org.apache.commons.vfs2.provider.sftp;resolution:=optional,
+ org.apache.commons.vfs2.provider.url;resolution:=optional,
  org.apache.oro.text;resolution:=optional,
  org.apache.oro.text.regex;resolution:=optional,
  org.apache.tools.ant;resolution:=optional,
--- a/src/java/org/apache/ivy/plugins/repository/vfs/VfsRepository.java
+++ b/src/java/org/apache/ivy/plugins/repository/vfs/VfsRepository.java
@@ -25,12 +25,12 @@
 import java.util.Arrays;
 import java.util.List;
 
-import org.apache.commons.vfs.FileContent;
-import org.apache.commons.vfs.FileObject;
-import org.apache.commons.vfs.FileSystemException;
-import org.apache.commons.vfs.FileSystemManager;
-import org.apache.commons.vfs.FileType;
-import org.apache.commons.vfs.impl.StandardFileSystemManager;
+import org.apache.commons.vfs2.FileContent;
+import org.apache.commons.vfs2.FileObject;
+import org.apache.commons.vfs2.FileSystemException;
+import org.apache.commons.vfs2.FileSystemManager;
+import org.apache.commons.vfs2.FileType;
+import org.apache.commons.vfs2.impl.StandardFileSystemManager;
 import org.apache.ivy.plugins.repository.AbstractRepository;
 import org.apache.ivy.plugins.repository.RepositoryCopyProgressListener;
 import org.apache.ivy.plugins.repository.Resource;
--- a/src/java/org/apache/ivy/plugins/repository/vfs/VfsResource.java
+++ b/src/java/org/apache/ivy/plugins/repository/vfs/VfsResource.java
@@ -22,11 +22,11 @@
 import java.util.ArrayList;
 import java.util.List;
 
-import org.apache.commons.vfs.FileContent;
-import org.apache.commons.vfs.FileObject;
-import org.apache.commons.vfs.FileSystemException;
-import org.apache.commons.vfs.FileSystemManager;
-import org.apache.commons.vfs.FileType;
+import org.apache.commons.vfs2.FileContent;
+import org.apache.commons.vfs2.FileObject;
+import org.apache.commons.vfs2.FileSystemException;
+import org.apache.commons.vfs2.FileSystemManager;
+import org.apache.commons.vfs2.FileType;
 import org.apache.ivy.plugins.repository.Resource;
 import org.apache.ivy.plugins.resolver.VfsResolver;
 import org.apache.ivy.util.Message;
--- a/src/java/org/apache/ivy/plugins/repository/vfs/ivy_vfs.xml
+++ b/src/java/org/apache/ivy/plugins/repository/vfs/ivy_vfs.xml
@@ -20,29 +20,29 @@
      in the jakarta-vfs-common distribution with the res and tmp schemas removed.
  -->
  <providers>
-    <default-provider class-name="org.apache.commons.vfs.provider.url.UrlFileProvider">
+    <default-provider class-name="org.apache.commons.vfs2.provider.url.UrlFileProvider">
     </default-provider>
-    <provider class-name="org.apache.commons.vfs.provider.local.DefaultLocalFileProvider">
+    <provider class-name="org.apache.commons.vfs2.provider.local.DefaultLocalFileProvider">
         <scheme name="file"/>
     </provider>
-    <provider class-name="org.apache.commons.vfs.provider.ftp.FtpFileProvider">
+    <provider class-name="org.apache.commons.vfs2.provider.ftp.FtpFileProvider">
         <scheme name="ftp"/>
         <if-available class-name="org.apache.commons.net.ftp.FTPFile"/>
     </provider>
     <!-- FIXME: not available anymore in commons-vfs but in commons-vfs-sandbox
-    <provider class-name="org.apache.commons.vfs.provider.smb.SmbFileProvider">
+    <provider class-name="org.apache.commons.vfs2.provider.smb.SmbFileProvider">
         <scheme name="smb"/>
         <if-available class-name="jcifs.smb.SmbFile"/>
     </provider>
     -->
     <!--
-    <provider class-name="org.apache.commons.vfs.provider.http.HttpFileProvider">
+    <provider class-name="org.apache.commons.vfs2.provider.http.HttpFileProvider">
         <scheme name="http"/>
         <if-available class-name="org.apache.commons.httpclient.HttpClient"/>
     </provider>
     -->
     
-    <provider class-name="org.apache.commons.vfs.provider.sftp.SftpFileProvider">
+    <provider class-name="org.apache.commons.vfs2.provider.sftp.SftpFileProvider">
         <scheme name="sftp"/>
         <if-available class-name="javax.crypto.Cipher"/>
         <if-available class-name="com.jcraft.jsch.JSch"/>
